<!DOCTYPE html>
<html lang="en-US" dir="ltr">
  <head>
    <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1">
    <meta charset="utf-8">
    <meta name="theme-color" content="#48132c">
    <title>Videos</title>
    <meta name="defaultLanguage" content="en-US">
    <meta name="availableLanguages" content="af:201809261549, sq-AL:201809261549, ar:201809261549, hy-AM:201809261549, az-Latn-AZ:201809261549, be-BY:201809261549, bn-BD:201809261549, bn:201809261549, bs-BA:201809261549, bg-BG:201809261549, zh-CN:201809261549, zh-HK:201809261549, zh-TW:201809261549, hr-HR:201809261549, cs-CZ:201809261549, da-DK:201809261549, nl:201809261549, en-GB:201809261549, en-US:201809261549, et-EE:201809261549, fi-FI:201809261549, fr-CA:201809261549, fr:201809261549, ka-GE:201809261549, de:201809261549, el-GR:201809261549, he-IL:201809261549, hi:201809261549, hu:201809261549, is-IS:201809261549, id:201809261549, it:201809261549, kk-KZ:201809261549, km-KH:201809261549, ko-KR:201809261549, lo-LA:201809261549, lv-LV:201809261549, it-LT:201809261549, mk-MK:201809261549, ms:201809261549, mo-RO:201809261549, ne:201809261549, nb-NO:201809261549, fa-IR:201809261549, pl:201809261549, pt-BR:201809261549, pt-PT:201809261549, ps-AF:201809261549, ro:201809261549, ru:201809261549, sr-Latn-CS:201809261549, si-LK:201809261549, sk-SK:201809261549, sl-SI:201809261549, es:201809261549, es-US:201809261549, sw:201809261549, sv-SE:201809261549, fil-PH:201809261549, ta:201809261549, th:201809261549, tr:201809261549, uk-UA:201809261549, ur:201809261549, uz-Cyrl-UZ:201809261549, vi:201809261549, xh-ZA:201809261549, zu:201809261549">
    <link rel="localization" href="/locales-obj/{locale}.json">
    
    
    <!-- this file is loaded lazily but is listed here so it gets packaged
    <link rel="stylesheet" href="shared/style/confirm.css" type="text/css" />
    <link rel="stylesheet" href="shared/style/softkey.css" type="text/css" />
    <link rel="stylesheet" href="shared/style/option_menu.css" type="text/css" />
    <link rel="stylesheet" href="shared/style/action_menu.css" type="text/css" />
    <link rel="stylesheet" href="shared/style/navigation.css" type="text/css" />
    <link rel="stylesheet" href="shared/elements/gaia-icons/gaia-icons.css" type="text/css" />
    <link rel="stylesheet" href="shared/elements/gaia-theme/gaia-theme.css" type="text/css" />
    <link rel="stylesheet" href="shared/elements/gaia-theme/gaia-font.css" type="text/css" />
    -->

    <!-- Shared Libs -->
    <script defer="" src="shared/js/mediadb.js"></script>
    <script defer="" src="js/db.js"></script>
    <script defer="" src="shared/js/l10n.js"></script>
    <script defer="" src="shared/js/l10n_date.js"></script>
    <script defer="" src="shared/js/screen_layout.js"></script>
    <script defer="" src="shared/js/template.js"></script>
    <script defer="" src="shared/js/device_storage/enumerate_all.js"></script>
    <script defer="" src="shared/js/media/media_utils.js"></script>
    <script defer="" src="shared/js/blobview.js"></script>
    <script defer="" src="shared/js/media/get_video_rotation.js"></script>
    <script defer="" src="shared/js/lazy_loader.js"></script>
    <script defer="" src="shared/js/component_utils.js"></script>

    <!-- Web Components -->
    <script defer="" src="shared/elements/config.js"></script>


    <!-- SoftKeybar support -->
    <script defer="" src="shared/js/softkey_panel.js"></script>
    <script defer="" src="shared/js/softkey_panel_helper.js"></script>

    <!-- Navigation support -->
    <script defer="" src="shared/js/navigation_handler.js"></script>

    <!-- Lazy load scripts
    <script defer src="shared/js/option_menu.js"></script>
    <script defer src="js/shared/confirm_dialog_helper.js"></script>
    <link rel="stylesheet" type="text/css" href="shared/style/option_menu.css">
    -->

    <!-- The following scripts are lazy loaded but left here to ensure
    they get copied over from shared during the build
    <script defer src="shared/js/media/video_stats.js"></script>
    <script defer src="/shared/js/custom_dialog.js"></script>
    <script defer src="shared/js/homescreens/confirm_dialog_helper.js"></script>
    <script defer src="shared/js/toaster.js"></script> -->

    <script defer="" src="js/metadata.js"></script>
    <script defer="" src="js/thumbnail_list.js"></script>
    <script defer="" src="js/thumbnail_date_group.js"></script>
    <script defer="" src="js/thumbnail_item.js"></script>
    <script defer="" src="js/video_utils.js"></script>
    <script defer="" src="js/forward_rewind_controller.js"></script>
    <script defer="" src="js/video_loading_checker.js"></script>
    <script defer="" src="js/video.js"></script>

    <link rel="stylesheet" type="text/css" href="style/main.css">
  <meta content="2.2" name="appVersion"></head>
  <body role="application" class="skin-dark theme-media">
    <div id="app-container" role="heading" aria-labelledby="thumbnail-list-title">
      <div id="two-column-spearator"></div>
      <section role="region" id="thumbnail-views" aria-labelledby="thumbnail-list-title">
        <header id="thumbnails-header" class="thumbnails-list">
          <h1 id="picker-title" data-l10n-id="pick-title">Select a video</h1>
          <h1 id="thumbnail-list-title" class="h1" data-l10n-id="confirm-video">Video</h1>
        </header>
        <header id="thumbnails-select-top" class="thumbnails-select">
          <h1 id="thumbnails-number-selected"></h1>
        </header>

        <!-- This element gets positioned over different view elements -->
        <!-- It gets styled differently depending on what it is over -->
        <!-- The real thumbnails list is actually inside this ul. We need
             to remove the semantics of this list to be less verbose, if the
             screen reader is on. -->
        <ul role="presentation" id="thumbnails"></ul> <!-- Thumbnails inserted here -->
      </section>

      <!-- (maximized) video player -->
      <section role="region" id="player-view">
        <!-- video controls header -->
        <header id="player-header" class="video-controls">
          <h1 id="video-title" class="video-player-header"></h1>
        </header>
        <!-- In order for the screen reader to be able to activate the container
             to toggle controls, it must have the semantics of the button -->
        <div id="video-container" role="button">
          <!-- Hiding the video element from the screen reader since the
               controls are implemented elsewhere. -->
          <video src="about:blank" id="player" aria-hidden="true"></video>
        </div>
        <!-- video controls footer toolbar -->
        <div role="toolbar" class="video-controls bottom">
          <!-- It is simpler and less verbose (for the screen reader) to not
               expose that this block is a footer and consider it part of
               its toolbar container. -->
          <footer id="videoBar" role="presentation">
            <div id="timeSlider" role="slider">
              <!-- We need to use aria hideen for the text nodes in the slider
                   subtree because the screen reader treats sliders as atomic
                   elements and does not step inside their subtree. All the
                   information is conveyed via the slider attributes instead -->
              <span id="elapsed-text" aria-hidden="true" class="p-thi"></span>
              <span id="player-skip-foward" class="hidden" data-icon="skip-forward"></span>
              <bdi>
                <div id="slider-wrapper" aria-hidden="true">
                  <div id="elapsedTime" class="progress"></div>
                  <div id="bufferedTime" class="progress"></div>
                  <div id="timeBackground" class="progress"></div>
                  <button id="playHead"></button>
                </div>
              </bdi>
              <span id="duration-text" aria-hidden="true" class="p-thi"></span>
            </div>
          </footer>
        </div>
      </section>
    </div>

    <section role="region" id="file-info" class="file-info hidden">
      <form aria-label="Info" id="info-view" class="hidden">
        <header class="file-info-header">
          <h1 id="file-info-title" data-l10n-id="opt-fileinfo">File Info</h1>
        </header>
        <section>
          <dl id="infosection">
            <div class="twoline">
              <dt data-l10n-id="name-label" class="p-pri">Name</dt>
              <dd id="info-name" class="value p-sec"></dd>
            </div>
            <div class="twoline">
              <dt data-l10n-id="length-label" class="p-pri">Length</dt>
              <dd id="info-length" class="value p-sec"></dd>
            </div>
            <div class="twoline">
              <dt data-l10n-id="size-label" class="p-pri">Size</dt>
              <dd id="info-size" class="value p-sec"></dd>
            </div>
            <div class="twoline">
              <dt data-l10n-id="video-type-label" class="p-pri">Video Type</dt>
              <dd id="info-type" class="value p-sec"></dd>
            </div>
            <div class="twoline">
              <dt data-l10n-id="date-taken-label" class="p-pri">Date Taken</dt>
              <dd id="info-date" class="value p-sec"></dd>
            </div>
            <div class="twoline">
              <dt data-l10n-id="resolution-label" class="p-pri">Resolution</dt>
              <dd id="info-resolution" class="value p-sec"></dd>
            </div>
          </dl>
        </section>
      </form>
    </section>

    <section role="region" id="file-rename" class="file-rename hidden">
      <header class="file-rename-header">
        <h1 id="file-rename-title" data-l10n-id="opt-rename">Rename</h1>
      </header>
      <div class="rename-view-div">
        <div class="rename-div-title">
          <label class="rename-label p-sec">Enter new name</label>
        </div>
        <div class="rename-div-text">
          <input name="rename" class="p-pri" id="renameId" value="" type="text">
        </div>
      </div>
    </section>

    <form aria-label="Options" id="options-view" role="dialog" data-type="action" class="hidden" data-l10n-id="options-view">
      <menu>
       <button type="button" class="single-share-button"><span class="gi gi-text" data-l10n-id="share">Share</span></button>
       <button type="button" class="single-info-button"><span class="gi gi-text" data-l10n-id="more-info">More info</span></button>
       <button type="button" class="single-delete-button"><span class="gi gi-text" data-l10n-id="delete">Delete</span></button>
       <button type="button" id="options-cancel-button" data-l10n-id="overlay-cancel-button">Cancel</button>
      </menu>
    </form>

    <!-- This element is the template of each thumbnail item -->
    <div id="thumbnail-group-header" class="hidden">
      <!--
        <li role="presentation">
          <div class="thumbnail-group-header separator p-sec" role="heading"
               aria-level="1"></div>
          <ul class="thumbnail-group-container" role="listbox"
              data-l10n-id="videos-list" aria-multiselectable="true"></ul>
        </li>
      -->
    </div>
    <div id="thumbnail-template" class="hidden">
      <!--
        <li class="thumbnail focusable" role="option">
          <div class="select-checkbox" id="select-checkbox"></div>
          <div class="inner">
            <div class="unwatched"></div>
            <img class="img" role="presentation"></img>
            <div class="details">
              <span class="title p-pri">${title}</span>
              <span class="duration-text after line-break p-sec">
                <span>${duration-text}</span>
                <span class="size-text"></span>
              </span>
              <span class="size-type-group p-thi">
                <span class="type-text after"> ${type-text}</span>
              </span>
            </div>
          </div>
        </li>
      -->
    </div>

    <section role="region" id="no-video" class="no-video hidden">
      <header class="no-video-header">
        <h1 id="no-video-title" data-l10n-id="confirm-video">Video</h1>
      </header>
      <!-- display messages like "No Photos" and "No SD Card" here -->
      <form id="overlay" role="dialog" class="hidden">
        <section id="overlay-content">
          <h1 id="overlay-title" class="hidden"></h1>
          <p id="overlay-text" class="ul"></p>
        </section>
      </form>
    </section>

    <form id="confirm-dialog" role="dialog" data-type="confirm" class="hidden">
      <section>
        <p id="confirm-msg"></p>
      </section>
      <menu>
        <button id="confirm-cancel"></button>
        <button id="confirm-ok"></button>
      </menu>
    </form>
    <!-- display "Cannot load video because it is in use" here -->
    <form id="in-use-overlay" role="dialog" data-type="confirm" class="hidden">
      <section id="in-use-overlay-content">
        <h1 id="in-use-overlay-title"></h1>
        <p id="in-use-overlay-text"></p>
      </section>
    </form>

    <!-- to avoid flash when show softkey bar, show remove this after refactor -->
    <form id="fakeSoftkeyPanel" class="skbar none-paddings visible" data-z-index-level="softkeyPanel" data-type="actions">
      <div><button id="software-keys-left" class="sk-button"></button></div>
      <div><button id="software-keys-center" class="sk-button"></button></div>
      <div><button id="software-keys-right" class="sk-button"></button></div>
    </form>

    <div id="confirm-dialog-container" data-z-index-level="confirm-dialog-container" style="z-index:1024;"></div>
  </body>

</html>
